Skip to main content
PATCH
/
v1beta
/
organizations
/
{organization_id}
TypeScript
import { Factify } from "@factify/sdk";

const factify = new Factify({
  bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
});

async function run() {
  const result = await factify.organizations.updateOrganization({
    organizationId: "<id>",
    body: {},
  });

  console.log(result);
}

run();
{
  "organization": {
    "created_at": "2023-11-07T05:31:56Z",
    "id": "org_01h2xcejqtf2nbrexx3vqjhp41",
    "name": "Acme Corporation",
    "logo_image_url": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer , where is your auth token.

Path Parameters

organization_id
string
required

Organization ID. Pattern: org_[0-9a-hjkmnp-tv-z]{26}

Pattern: ^org_[0-9a-hjkmnp-tv-z]{26}$

Body

application/json

UpdateOrganizationRequest contains the fields to update on an organization.

name
string | null

Optional new display name. nil = no change. Minimum 1 character.

Minimum string length: 1

Response

Success

UpdateOrganizationResponse contains the updated organization.

organization
organization · object
required

The updated organization.